KDE 4.7 PyKDE API Reference

- KDE's Python API

# VolumeSlider Class Reference

`from PyKDE4.phonon import *`

Inherits: QWidget → QObject
Namespace: Phonon

## Detailed Description

\class VolumeSlider volumeslider.h phonon/VolumeSlider Widget providing a slider to control the volume of an AudioOutput.

Author:
  Matthias Kretz <kretz@kde.org>

## Methods
| __init__ (self, QWidget parent=0)
| __init__ (self, Phonon.AudioOutput a0, QWidget parent=0)
Phonon.AudioOutput | audioOutput (self)
bool | hasTracking (self)
QSize | iconSize (self)
bool | isMuteVisible (self)
float | maximumVolume (self)
Qt::Orientation | orientation (self)
int | pageStep (self)
| setAudioOutput (self, Phonon.AudioOutput a0)
| setIconSize (self, QSize size)
| setMaximumVolume (self, float a0)
| setMuteVisible (self, bool a0)
| setOrientation (self, Qt::Orientation a0)
| setPageStep (self, int milliseconds)
| setSingleStep (self, int milliseconds)
| setTracking (self, bool tracking)
int | singleStep (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a new volume slider with a parent.

__init__ | ( | self, |
|  | Phonon.AudioOutput | a0,
|  | QWidget | parent=0
| ) |  |  |

Phonon.AudioOutput audioOutput | ( |  | self ) |

bool hasTracking | ( |  | self ) |

QSize iconSize | ( |  | self ) |

bool isMuteVisible | ( |  | self ) |

float maximumVolume | ( |  | self ) |

Qt::Orientation orientation | ( |  | self ) |

int pageStep | ( |  | self ) |

setAudioOutput | ( | self, |
|  | Phonon.AudioOutput | a0
| ) |  |  |

Sets the audio output object to be controlled by this slider.

setIconSize | ( | self, |
|  | QSize | size
| ) |  |  |

setMaximumVolume | ( | self, |
|  | float | a0
| ) |  |  |

setMuteVisible | ( | self, |
|  | bool | a0
| ) |  |  |

setOrientation | ( | self, |
|  | Qt::Orientation | a0
| ) |  |  |

setPageStep | ( | self, |
|  | int | milliseconds
| ) |  |  |

setSingleStep | ( | self, |
|  | int | milliseconds
| ) |  |  |

setTracking | ( | self, |
|  | bool | tracking
| ) |  |  |

int singleStep | ( |  | self ) |